com.corticon.rulesemf.canonicalvocabularymodel

## Interface AssociationEndExtension

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, NamedExtension, org.eclipse.emf.common.notify.Notifier, ValidatableObject

      public interface AssociationEndExtension
      extends NamedExtension, ValidatableObject

  A representation of the model object 'Association End Extension'.

  The following features are supported:

  - `XML Property Name`
  - `Java Object Get Method`
  - `Java Object Set Method`
  - `Java Object Field Name`
  - `Join Expression`
  - `Identity Entity`
  See Also:
    `CanonicalvocabularymodelPackage.getAssociationEndExtension()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EntityExtension` | `getIdentityEntity()` Returns the value of the 'Identity Entity' reference.
    `VocabularyString` | `getJavaObjectFieldName()` Returns the value of the 'Java Object Field Name' containment reference
    `VocabularyString` | `getJavaObjectGetMethod()` Returns the value of the 'Java Object Get Method' containment reference
    `VocabularyString` | `getJavaObjectSetMethod()` Returns the value of the 'Java Object Set Method' containment reference
    `VocabularyString` | `getJoinExpression()` Returns the value of the 'Join Expression' containment reference
    `VocabularyString` | `getXMLPropertyName()` Returns the value of the 'XML Property Name' containment reference
    `void` | `setIdentityEntity(EntityExtension value)` Sets the value of the '`Identity Entity`' reference
    `void` | `setJavaObjectFieldName(VocabularyString value)` Sets the value of the '`Java Object Field Name`' containment reference
    `void` | `setJavaObjectGetMethod(VocabularyString value)` Sets the value of the '`Java Object Get Method`' containment reference
    `void` | `setJavaObjectSetMethod(VocabularyString value)` Sets the value of the '`Java Object Set Method`' containment reference
    `void` | `setJoinExpression(VocabularyString value)` Sets the value of the '`Join Expression`' containment reference
    `void` | `setXMLPropertyName(VocabularyString value)` Sets the value of the '`XML Property Name`' containment reference

    - ### Methods inherited from interface com.corticon.rulesemf.canonicalvocabularymodel.NamedExtension

      `getGuid, getName, getSource, setGuid, setSource`

    - ### Methods inherited from interface com.corticon.rulesemf.common.ValidatableObject

      `getValidationMessages, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasSeverity, hasSeverity, hasWarnings, hasWarnings, isValid, isValid`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getXMLPropertyName

          VocabularyString getXMLPropertyName()

      Returns the value of the 'XML Property Name' containment reference.

      If the meaning of the 'XML Property Name' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'XML Property Name' containment reference.
      See Also:
        `setXMLPropertyName(VocabularyString)`, `CanonicalvocabularymodelPackage.getAssociationEndExtension_XMLPropertyName()`

    - #### setXMLPropertyName

          void setXMLPropertyName(VocabularyString value)

      Sets the value of the '`XML Property Name`' containment reference.
      Parameters:
        `value` - the new value of the 'XML Property Name' containment reference.
      See Also:
        `getXMLPropertyName()`

    - #### getJavaObjectGetMethod

          VocabularyString getJavaObjectGetMethod()

      Returns the value of the 'Java Object Get Method' containment reference.

      If the meaning of the 'Java Object Get Method' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Java Object Get Method' containment reference.
      See Also:
        `setJavaObjectGetMethod(VocabularyString)`, `CanonicalvocabularymodelPackage.getAssociationEndExtension_JavaObjectGetMethod()`

    - #### setJavaObjectGetMethod

          void setJavaObjectGetMethod(VocabularyString value)

      Sets the value of the '`Java Object Get Method`' containment reference.
      Parameters:
        `value` - the new value of the 'Java Object Get Method' containment reference.
      See Also:
        `getJavaObjectGetMethod()`

    - #### getJavaObjectSetMethod

          VocabularyString getJavaObjectSetMethod()

      Returns the value of the 'Java Object Set Method' containment reference.

      If the meaning of the 'Java Object Set Method' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Java Object Set Method' containment reference.
      See Also:
        `setJavaObjectSetMethod(VocabularyString)`, `CanonicalvocabularymodelPackage.getAssociationEndExtension_JavaObjectSetMethod()`

    - #### setJavaObjectSetMethod

          void setJavaObjectSetMethod(VocabularyString value)

      Sets the value of the '`Java Object Set Method`' containment reference.
      Parameters:
        `value` - the new value of the 'Java Object Set Method' containment reference.
      See Also:
        `getJavaObjectSetMethod()`

    - #### getJavaObjectFieldName

          VocabularyString getJavaObjectFieldName()

      Returns the value of the 'Java Object Field Name' containment reference.

      If the meaning of the 'Java Object Field Name' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Java Object Field Name' containment reference.
      See Also:
        `setJavaObjectFieldName(VocabularyString)`, `CanonicalvocabularymodelPackage.getAssociationEndExtension_JavaObjectFieldName()`

    - #### setJavaObjectFieldName

          void setJavaObjectFieldName(VocabularyString value)

      Sets the value of the '`Java Object Field Name`' containment reference.
      Parameters:
        `value` - the new value of the 'Java Object Field Name' containment reference.
      See Also:
        `getJavaObjectFieldName()`

    - #### getJoinExpression

          VocabularyString getJoinExpression()

      Returns the value of the 'Join Expression' containment reference.

      If the meaning of the 'Join Expression' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Join Expression' containment reference.
      See Also:
        `setJoinExpression(VocabularyString)`, `CanonicalvocabularymodelPackage.getAssociationEndExtension_JoinExpression()`

    - #### setJoinExpression

          void setJoinExpression(VocabularyString value)

      Sets the value of the '`Join Expression`' containment reference.
      Parameters:
        `value` - the new value of the 'Join Expression' containment reference.
      See Also:
        `getJoinExpression()`

    - #### getIdentityEntity

          EntityExtension getIdentityEntity()

      Returns the value of the 'Identity Entity' reference. It is bidirectional and its opposite is '`Identity Association Ends`'.

      If the meaning of the 'Identity Entity' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Identity Entity' reference.
      See Also:
        `setIdentityEntity(EntityExtension)`, `CanonicalvocabularymodelPackage.getAssociationEndExtension_IdentityEntity()`, `EntityExtension.getIdentityAssociationEnds()`

    - #### setIdentityEntity

          void setIdentityEntity(EntityExtension value)

      Sets the value of the '`Identity Entity`' reference.
      Parameters:
        `value` - the new value of the 'Identity Entity' reference.
      See Also:
        `getIdentityEntity()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.